# -*- encoding: utf-8 -*-
# stub: carrierwave-secure 2.0.1 ruby lib

Gem::Specification.new do |s|
  s.name = "carrierwave-secure".freeze
  s.version = "2.0.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Felipe Batista".freeze]
  s.cert_chain = ["-----BEGIN CERTIFICATE-----\nMIIEODCCAqCgAwIBAgIBATANBgkqhkiG9w0BAQsFADAjMSEwHwYDVQQDDBhsb2Jz\ndGVyL0RDPXJpc2V1cC9EQz1uZXQwHhcNMjAwNzA2MjA0OTMwWhcNMjEwNzA2MjA0\nOTMwWjAjMSEwHwYDVQQDDBhsb2JzdGVyL0RDPXJpc2V1cC9EQz1uZXQwggGiMA0G\nCSqGSIb3DQEBAQUAA4IBjwAwggGKAoIBgQC4aVUMLORLyDo3l2HgC6K7oHIHAL9g\nRdFryBTI2o82Vw44X2xUhgOCri9hYwCfEPH37OmCUwH4xJ9R2EjGQjxm1felmSeH\n8BSAMQ8H6s5cVDSBfswXQ6u6rUHMvdI+gS5nqh99wE+aeizwcq7zP4MqscShK5Bp\nNLaj+v+2bErxYqJdQ5wFOhbLI0uNf/KoblsSBUWsA90iS46kH2e/iuutM+761/Gq\nXUluNxS7xQ18Q+btksv4gI2sVNpOXRbjJ+XuOocPkXa6dSl+jtMgdmXLMtJ9mqu/\nEGo64YgW+YG6XVbTcXkKMo/d1UcxnkEll+YZU6hTm1cUWCMqcRMMdGPNBZzmF32o\nMpcOUkpbQWxL49TTB9A5TPmEse4jKcYUyv5efjsfG0Uc1y7gAmA1syHNPSIelKM5\nRC7dpBlZX+naP8iESr5c+ZHsv224LKFh1fuHjYDjS3mnJT0ypX67UyLD8Oubsgj2\nHWHJF4x6/zy2Uuc9Js68VusnIUQADiGGpY0CAwEAAaN3MHUwCQYDVR0TBAIwADAL\nBgNVHQ8EBAMCBLAwHQYDVR0OBBYEFEm24p6dvOzMx8FN9/9unxeLsPJfMB0GA1Ud\nEQQWMBSBEmxvYnN0ZXJAcmlzZXVwLm5ldDAdBgNVHRIEFjAUgRJsb2JzdGVyQHJp\nc2V1cC5uZXQwDQYJKoZIhvcNAQELBQADggGBACJxiiZ3GAkbKIcOG2L8p7ZEamz3\neCeYZIyg31lIc5wjNjHOSB5gxf+cQ25Ph3OLtL7FLwcF2sdcG1gMJoERU11GbyeD\nHBI3fhBsTQc/s25zyr/clQXHBha9naqYhKqmT+8P2OUcVRoBgXM2DDzTbFPTH4CM\nZoveReLq5FKDVJN+PJvNZ/VpVhD01NBs5wFDIS1CR1WznPP8udKHBm75I9EWP52Y\n6k2Xavpo3KoqBSnQ3ptSTIQTIA0JCg5pivEE7OcP2uSkFisPrUiO5X8Roui6720P\nPxXGC3xWLMelxPW+0yTgaMJnNkFffTNFUagC7/DTCz2MDMtuMhb+DTA8BAANmLUR\nhTiPKAmxiwrRbuPOZry2MnGs3D4mAO40yqW+1aJqjWIN6iRCmQXdtpKIGB3Ya/xA\nTReFtwzw6PKpPZ2ktNG9w1iJikNg1YqrGUH8w3hRcacEPFUUBPo6gLxOZ9HYGTpZ\nVz41Zer6atAjx+BZsg7Cbyy+SZsvOKcrX/vXQQ==\n-----END CERTIFICATE-----\n".freeze]
  s.date = "2020-07-16"
  s.description = "Provides scallable strong encryption to CarrierWave, the classier solution for file uploads from Ruby aplications.\n\nCarrierWave Secure uses Advanced encryption standard in Galois/Counter mode to give quantum-resistant protection to your application data files with great performances.".freeze
  s.email = "lobster@riseup.net".freeze
  s.extra_rdoc_files = ["README.md".freeze, "LICENSE".freeze]
  s.files = ["LICENSE".freeze, "README.md".freeze]
  s.homepage = "https://framagit.org/corpora/carrierwave-secure".freeze
  s.licenses = ["LGPL-3.0".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.4.0".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Provides strong encryption to CarrierWave".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<carrierwave>.freeze, [">= 2.0"])
    s.add_development_dependency(%q<activerecord>.freeze, [">= 5.0"])
    s.add_development_dependency(%q<benchmark-ips>.freeze, ["~> 2.0"])
    s.add_development_dependency(%q<benchmark-memory>.freeze, ["~> 0.1"])
    s.add_development_dependency(%q<byebug>.freeze, ["~> 11.0"])
    s.add_development_dependency(%q<database_cleaner>.freeze, [">= 0"])
    s.add_development_dependency(%q<faker>.freeze, ["~> 2.0"])
    s.add_development_dependency(%q<pg>.freeze, ["~> 1.0"])
    s.add_development_dependency(%q<rake>.freeze, [">= 0"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.0"])
    s.add_development_dependency(%q<simplecov>.freeze, ["~> 0.18.0"])
  else
    s.add_dependency(%q<carrierwave>.freeze, [">= 2.0"])
    s.add_dependency(%q<activerecord>.freeze, [">= 5.0"])
    s.add_dependency(%q<benchmark-ips>.freeze, ["~> 2.0"])
    s.add_dependency(%q<benchmark-memory>.freeze, ["~> 0.1"])
    s.add_dependency(%q<byebug>.freeze, ["~> 11.0"])
    s.add_dependency(%q<database_cleaner>.freeze, [">= 0"])
    s.add_dependency(%q<faker>.freeze, ["~> 2.0"])
    s.add_dependency(%q<pg>.freeze, ["~> 1.0"])
    s.add_dependency(%q<rake>.freeze, [">= 0"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.0"])
    s.add_dependency(%q<simplecov>.freeze, ["~> 0.18.0"])
  end
end
